Bug 1470653 - capsule-certs-generate fails with "Parameter certs-tar invalid: ... is not one of regexes matching Error during configuration"
capsule-certs-generate fails with "Parameter certs-tar invalid: ... is not on...
Status: ASSIGNED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Documentation (Show other bugs)
6.3.0
Unspecified Unspecified
low Severity low (vote)
: Beta
: 6.X
Assigned To: Charles Wood
Michaela Slaninkova
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-13 07:58 EDT by Peter Ondrejka
Modified: 2017-08-14 04:46 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Ondrejka 2017-07-13 07:58:27 EDT
Description of problem:

Calling capsule-certs-generate with --certs-tar value enclosed in quote marks (just like instructed in documetation -- https://access.redhat.com/documentation/en-us/red_hat_satellite/6.2/html-single/installation_guide/#installing_capsule_server) results in error:

# capsule-certs-generate --node-fqdn "mycapsule.example.com" --certs-tar "~/mycapsule.cexample.com-certs.tar"
Parameter certs-tar invalid: ~/mycapsule.cexample.com-certs.tar is not one of regexes matching /^(([a-zA-Z]:[\\\/Error during configuration, exiting

Supplying the value without quotes results in successful certs creation.

Version-Release number of selected component (if applicable):

satellite-6.3.0-16.0.beta.el7sat.noarch

How reproducible:

always

Actual results:
Error

Expected results:
no Error, or more instructive message
Comment 1 Brad Buckingham 2017-07-18 16:49:40 EDT
Peter, is this a regression from 6.2?
Comment 3 Eric Helms 2017-07-27 15:25:57 EDT
This sounds like a documentation bug if we could flag it as such to update the docs to exclude the quotes.
Comment 4 Ivan Necas 2017-08-08 04:47:39 EDT
Moving to `Documentation`, as `ls "~/.ssh"` doesn't work for ~ extrapolation, we should not expect the installer doing more logic around that. We should not instruct people to use invalid way of passing paths to CLI tools.
Comment 5 Andrew Dahms 2017-08-09 02:56:27 EDT
Assigning to Charles for review.
Comment 6 Peter Ondrejka 2017-08-14 04:06:06 EDT
(In reply to Brad Buckingham from comment #1)
> Peter, is this a regression from 6.2?

Hey, I don't remember this happening in 6.2, though I might be wrong. I'm ok with passing this to docs, though the displayed message could be improved.

Note You need to log in before you can comment on or make changes to this bug.